petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCFieldSplitGetIS

Retrieves the elements for a field as an IS

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetIS(PC pc,const char splitname[],IS *is)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| splitname | - name of this split

### Output Parameter

is -the index set that defines the vector elements in this field, or NULL if the field is not found

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetIS()

Level:intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages